Subject: Re: bug#45922: 27.1; Better auto-fill for strings in python-mode

From: Tomas Nordin <[email-masked]>
Date: Sun, 17 Jan 2021 21:18:40 +0100

Акимжанчег <[email-masked]> writes:

>>
>>
>> From the recepie it would seem like fill-column is set to something low.
>> But probably you have some indentation there prior to 'matrix = ...'?
>>
> Yes there were 8 spaces before that
>
>> I don't think there is something in python mode that do what you are
>> suggesting as of now. For curiosity, do you see this kind of support in
>> other editors?
>>
> Emacs is the only editor I ever used, but when I write a comment and reach
> the fill-column auto-fill-mode opens a new line and puts the comment
> character there, so I thought if it does it for comments then it might as
> well do it for strings.

The one and true editor. I /think/ the filling of comments gets handled
by fill.el. Filling of one-line strings would have to be handled by
python.el. I was looking to see if it tries to support that but couldn't
find indications it does. Cannot find that it documents to support it.

I agree it could be convenient and understand the expectation based on
the comment filling. Might be difficult to implement tho.